:root {
    --FontI: "Zen Antique Soft", sans-serif;
    --FontII: "Zen Kaku Gothic New", sans-serif;
    --FontIII: "Playfair Display", sans-serif;
}
#title {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-image: url("../img/header.png");
    background-size: cover;
    background-position: center;
}
#title .cover-top {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
#title .smart {
    display: none;
}
#title .school {
    color: #fff;
    font-size: 50px;
    font-family: var(--FontI);
    font-weight: 200;
    margin: 0;
}
#title .kinensai-title a:hover {
    opacity: 1;
}
#title .kinensai-title h2 {
    color: #fff;
    font-size: 110px;
    font-family: var(--FontI);
    font-weight: 500;
    transition: 1s ease;
    cursor: pointer;
    margin: 0;
    display: inline-block;
}
#title .kinensai-title h2 span {
    position: relative;
    display: inline-block;
    color: #fff;
}
#title .kinensai-title h2 span::after {
    content: attr(data-text);
    position: absolute;
    left: 0;
    top: 0;
    background: linear-gradient(45deg, #00ff0d, #00ffd5);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    opacity: 0;
    transition: opacity 1s ease;
}
#title .kinensai-title h2 span:hover::after {
    opacity: 1;
}
#title .top-theme {
    display: flex;
    flex-direction: column;
    align-items: center;
}
#title .top-theme:hover {
    opacity: 1;
}
#title .top-theme img {
    margin: 10px 0;
}
#title .title {
    width: 760px;
}
#title .sub-title {
    width: 710px;
}
#title .cover {
    background-color: rgba(255, 255, 255, 0.75);
    margin-top: 20px;
    padding: 0 20px 20px;
    border-radius: 20px;
    filter: drop-shadow(4px 4px 6px rgba(255, 255, 255, 0.5));
}
#title .time {
    margin-top: 10px;
    color: #000;
    font-size: 60px;
    font-family: var(--FontIII);
}
#title .time .sat {
    color: #00f;
}
#title .time .sun {
    color: #ff0000;
}
#title .intro {
    color:#000;
    font-size: 60px;
    font-family: var(--FontII);
    font-weight: bold;
}
#title .scroll {
    padding-top: 20px;
    color: #fff;
    font-size: 35px;
}
#title .pc {
    display: none;
}
#access {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--ColorII);
}
#access .access-title {
    color: #fff;
    font-size: 50px;
    font-family: var(--FontIII);
}
#access h2 {
    border-bottom: #fff solid 2px;
}
#access .school-name {
    color: #fff;
    font-size: 30px;
    font-family: var(--FontII);
}
#access .wrapper {
    display: flex;
}
iframe {
    width: 90vw;
    max-width: 700px;
    height: 400px;
    margin-top: 60px;
}
#access .sentence p {
    padding: 10px 0 20px 10px;
    color: #ffffff;
    font-size: 30px;
    font-family: var(--FontII);
    text-align: left;
}
#access .sentence span {
    padding: 0 8px;
    font-size: 40px;
    border-top: #fff solid 2px;
}
#access .sentence .smart {
    display: none;
}
#notes {
    background-color: rgba(255, 255, 255, 0.9);
}
#notes .smart {
    display: none;
}
#notes h2 {
    color: #000000;
    font-size: 70px;
    font-family: var(--FontIII);
}
#notes h3 {
    color: #ff2d2d;
    font-size: 50px;
    font-family: var(--FontII);
    font-weight: bold;
    margin: 10px 0 20px 0;
    cursor: default;
}
#notes p {
    color: #000;
    font-family: var(--FontII);
    font-size: 35px;
}
#notes .pc {
    display: inline;
}
#project {
    background-color: var(--ColorII);
}
#project h2 {
    color: #fff;
    font-family: var(--FontI);
    font-size: 70px;
}
#project .pro-sentence {
    color: #fff;
    font-size: 35px;
    font-family: var(--FontII);
}
#project a {
    color: #fff;
    font-size: 30px;
    font-family: var(--FontIII);
    position: relative;
}
#about {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--ColorII);
}
#about .wrapper {
    padding-top: 30px;
    border-top: #fff solid 2px;
    text-align: center;
}
#about .cover {
    display: flex;
    align-items: center;
    margin-bottom: 30px;
}
#about .cover a {
    color: #fff;
    border-bottom: #fff solid 2px;
}
#about h2 {
    color: #fff;
    font-size: 70px;
    font-family: var(--FontI);
}
#about p {
    color: #fff;
    font-family: var(--FontII);
    font-size: 30px;
}
#about .mainvisual {
    position: relative;
    width: 400px;
    height: 267px;
    border-radius: 10px;
    filter: drop-shadow(4px 4px 6px rgba(255, 255, 255, 0.5));
}
#about .fade-img img {
    max-width: 400px;
    object-fit: cover;
    border-radius: 20px;
}
#about li {
    position: absolute;
    top: 10px;
    right: 0;
    opacity: 0;
    animation: fade 15s infinite;
}
#about li:nth-child(1) {
    animation-delay: 0s;
}
#about li:nth-child(2) {
    animation-delay: 3s;
}
#about li:nth-child(3) {
    animation-delay: 6s;
}
#about li:nth-child(4) {
    animation-delay: 9s;
}
#about li:nth-child(5) {
    animation-delay: 12s;
}
@keyframes fade {
    0% {
        opacity: 0;
    }
    10% {
        opacity: 1;
    }
    20% {
        opacity: 1;
    }
    30% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}
#theme {
    background-color: var(--ColorII);
    padding-bottom: 20px;
}
#theme h2 {
    color: #fff;
    font-size: 70px;
    font-family: var(--FontI);
}
#theme .theme-sen {
    display: flex;
    flex-direction: column;
    align-items: center;
}
#theme img {
    max-width: 700px;
    margin-bottom: 10px;
}
#theme img:first-child {
    border-top: #fff solid 2px;
    padding-top: 30px;
}
#theme a{
    color: #fff;
    font-family: var(--FontIII);
    font-size: 35px;
    cursor: pointer;
    padding-bottom: 2px;
    border-bottom: #fff solid 2px;
}
#popup {
    position: fixed;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.4s ease;
}
#popup.show {
    opacity: 1;
    pointer-events: auto;
}
#popup .popup-wrapper {
    top: 50%;
    left: 50%;
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    max-width: 600px;
    text-align: center;
    box-shadow: 0 4px 6px rgba(255, 255, 255, 0.2);
    cursor: default;
}
#popup h3 {
    font-size: 30px;
    font-family: var(--FontII);
}
#popup h2 {
    margin: 0 30px;
    font-size: 50px;
    font-family: var(--FontIII);
    font-weight: bold;
    color: #ff0000;
    border-bottom: #ff0000 solid 5px;
}
#popup p {
    color: #000;
    margin-top: 10px;
    font-size: 18px;
    font-family: var(--FontIII);
}
#popup span {
    font-weight: bold;
    border-bottom: #000 solid 2px;
}
#popup .popup-box {
    margin-top: 5px;
}
#popup input {
    cursor: pointer;
}
#popup label {
    cursor: pointer;
}
#popup #closePopup {
    font-weight: bold;
    margin: 10px 0 5px;
    font-size: 15px;
    transition: all 0.3s ease;
}
#popup #closePopup:hover {
    opacity: 0.7;
}
#popup .smart {
    display: none;
}
@media screen and (max-width: 1024px) {
    #access .wrapper {
        flex-direction: column;
    }
    #access .sentence p {
        text-align: center;
    }
    iframe {
        margin: 0 0 20px 0;
    }
}
@media screen and (max-width: 900px) {
    #notes .pc {
        display: inline;
    }
    #about .cover {
        display: flex;
        flex-direction: column;
    }
}
@media screen and (max-width: 767px) {
    #title {
        background-image: url(../img/header-smart.png);
    }
    #title .cover-top {
        background-color: rgba(0, 0, 0, 0.5);
    }
    #title .school {
        color: #e94b19;
    }
    #title .kinensai-title h2 span::after {
        background: linear-gradient(0deg, #ff9100, #ff3300);
        background-clip: text;
        -webkit-background-clip: text;
        opacity: 1;
    }
    #title .kinensai-title:hover {
        opacity: 1;
    }
    #access h2 {
        font-size: 60px;
    }
    #access .school-name {
        font-size: 20px;
        margin-bottom: 20px;
    }
    #title .school {
        font-size: 30px;
    }
    #title .kinensai-title h2 {
        font-size: 105px;
    }
    #title .time {
        font-size: 40px;
    }
    #title .intro {
        font-size: 40px;
    }
    #title .pc {
        display: inline;
    }
    #title .scroll {
        font-size: 30px;
    }
    #access .sentence span {
        border-top: 0;
    }
    #access .wrapper {
        margin-bottom: 50px;
    }
    #access .wrapper.show .sentence p {
        font-size: 30px;
    }
    #access .wrapper.show .sentence p span {
        font-size: 25px;
    }
    #notes h3 {
        font-size: 30px;
    }
    #notes p {
        font-size: 20px;
    }
    #about h2 {
        font-size: 60px;
    }
    #about p {
        font-size: 20px;
    }
    #about .mainvisual {
        position: relative;
        width: 300px;
        height: 200px;
    }
    #about .fade-img img {
        width: 300px;
    }
    #theme h2 {
        font-size: 60px;
    }
    #theme img {
        max-width: 300px;
    }
    #theme a {
        font-size: 20px;
    }
    #popup .popup-wrapper {
        max-width: 400px;
    }
    #popup h3 {
        font-size: 20px;
    }
    #popup h2 {
        font-size: 35px;
        margin: 0;
    }
    
}
@media screen and (max-width: 450px) {
    #title .smart {
        display: inline;
    }
    #title .intro {
        font-size: 30px;
    }
    #access .sentence .smart {
        display: inline;
    }
    #notes h2 {
        font-size: 60px;
    }
}
@media screen and (max-width: 400px) {
    #notes .pc {
        display: none;
    }
    #notes .smart {
        display: inline;
    }
    #popup .smart {
        display: inline;
    }
}
